public class Protein {
    public static String aminoAcids = "GPAVLIMCFYWHKRQNEDSTU";
    private String id;
    private String sequence;

    public Protein(String id, String sequence) {
        this.id = id;
        if (isProteinSequence(sequence)) {
            this.sequence = sequence;
        }
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public static boolean isAminoAcid(char c) {
        for (int i=0; i<aminoAcids.length(); i++) {
            char aa = aminoAcids.charAt(i);
            if (aa == c) {
                return true;
            }
        }
        return false;
    }

    public static boolean isProteinSequence(String sequence) {
        for (int i=0; i<sequence.length(); i++) {
            char c = sequence.charAt(i);
            if (!isAminoAcid(c)) {
                System.err.println(c + " ist keine Aminosaeure!");
                return false;
            }
        }
        return true;
    }
}